algorithmic modeling for Rhino
I have a buch of closed Polysurfaces with none of them intersecting another. They are like cuttet out of one piece so some of them do "touch" their neighbor (if they have one) with at least one single surface.
What i wan't to do is to cull every closed Polysurface that does not have one, two or three direct neighbors, but i do not know how to solve this issue.
Does anyone have an idea?
Thanks
Tags:
Added two "filters" - best to preview one or the other, they are connected in series:
Fixed the cosmetic highlighting feature (yellow group inside "my neighbors") and modified the "FRAGMENTS" (blue group) to clarify the distinction between data (the "fragments") and the code to answer the original question.
Bumping the 'ArrBox' dimension from 5 up to 7 is still reasonably "fast" - ~6 secs.
There are several things to get faster performance
1. Use meshes
2. Sort closest pairs, rtree is always good option. If you do not care about speed, you will check intersection between each and and the rest.
3. Fastest method with decent output is:
Line[] line = Rhino.Geometry.Intersect.Intersection.MeshMeshFast(x, y);
if(line.Length > 0)
A = true;
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by